<template>
    <div class="content__leftAnalitika">
        <div class="pc-dop">
            <p class="text-titlePc">
                <router-link :to="route('payment_systems')">
                    <svg>
                        <use xlink:href="/img/sprite.svg#long-arrow-pointing-to-the-right"/>
                    </svg>
                    {{ $t('ui.back') }}
                </router-link>
                {{ $t('payment_systems.form.update_title') }}
            </p>
            <payment-system-form :payment_system="payment_system" @submit="save"/>
        </div>
    </div>
</template>

<script>
    import route from "../mixins/route";
    import {mapGetters} from 'vuex';

    import PaymentSystemForm from "../components/payment_systems/PaymentSystemForm";

    export default {
		name: "PaymentSystemEdit",
        mixins: [route],
        components: { PaymentSystemForm },
        props: {
		    id: {
		        type: [Number, String],
                required: true
            }
        },
        data(){
		    return {
		        payment_system: undefined
            }
        },
        computed: {
		    ...mapGetters([
		        'axios'
            ])
        },
        methods: {
            load(){
                this.axios
                    .get(`payment_systems/${this.id}`)
                    .then(resp => resp.data)
                    .then(payment_system => this.payment_system = payment_system)
                ;
            },
            save(form){
                this.axios
                    .post(`payment_systems/${this.id}`, form)
                    .then(resp => resp.data)
                    .then(data => {
                        this.$swal(this.$t('ui.success'), data.message, 'success')
                            .then(() => {
                                this.$router.push(this.route('payment_systems'))
                            });
                    })
                ;
            }
        },
        mounted() {
            this.load();
        }
	}
</script>

<style scoped>

</style>
